<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <s:decorate template="/layout/panels/_panel_title.xhtml" rendered="#{configuration.dicomLibrary != null}">
        <ui:define name="panel_title"><h:outputText value="#{messages['net.ihe.gazelle.xval.Configuration']}"/></ui:define>
        <dl class="dl-horizontal">
        <s:decorate template="/layout/display/_data_list_item.xhtml" rendered="#{not empty configuration.assertionManagerUrl}">
            <ui:define name="label">#{messages['net.ihe.gazelle.xval.AssertionManagerURL']}</ui:define>
            <h:outputText value="#{configuration.assertionManagerUrl}"/>
        </s:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml" rendered="#{not empty configuration.valueSetProviderUrl}">
            <ui:define name="label">#{messages['net.ihe.gazelle.xval.CustomSVSRepository']}</ui:define>
            <h:outputText value="#{configuration.valueSetProviderUrl}"/>
        </s:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml" rendered="#{not empty configuration.namespaces}">
            <ui:define name="label">#{messages['net.ihe.gazelle.xval.DeclaredNamespaces']}</ui:define>
            <rich:list value="#{configuration.namespaces}" var="ns" type="unordered">
                <h:outputText value="#{ns.toString()}"/>
            </rich:list>
        </s:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml" >
            <ui:define name="label">#{messages['net.ihe.gazelle.xval.DICOMToXMLLibrary']}</ui:define>
            <h:outputText value="#{configuration.dicomLibrary.value}"/>
        </s:decorate>
        </dl>
    </s:decorate>
</ui:composition>
